%define name love
%define version 0.8.0
%define release %mkrel 2

Summary: A 2D game engine which can be made with Lua scripts.
Name: %name
Version: %version
Release: %release
License: GPL
Group:  Games/Arcade
Source: %{name}-%{version}-linux-src.tar.xz
Source2: love.desktop
Source3: love-game-icon.svg
Patch0:	 love-freetype2-include.patch
BuildRoot: %_tmppath/%name-%version-buildroot
BuildRequires: %{_lib}flac++6-devel
BuildRequires: %{_lib}lua5.1-devel >= 5.1
BuildRequires: %{_lib}modplug-devel
BuildRequires: %{_lib}mpg123-devel
BuildRequires: %{_lib}openal0-devel
BuildRequires: %{_lib}physfs-devel
BuildRequires: %{_lib}SDL-devel
BuildRequires: %{_lib}devil-devel
BuildRequires: %{_lib}vorbis0-devel
BuildRequires: %{_lib}freetype6-devel
BuildRequires: desktop-file-utils
Requires: %{_lib}flac++6
Requires: %{_lib}lua5.1
Requires: %{_lib}modplug1
Requires: %{_lib}mpg123_0
Requires: %{_lib}physfs2
Requires: %{_lib}SDL1.2_0
Requires: openal
Requires: %{_lib}openal1
Requires: %{_lib}devil1
URL: http://love2d.org/

%description
LÖVE is a 2D game engine in which games can be made by using Lua scripts.

%prep
%setup -q
%patch0 -p0

%build
sh platform/unix/automagic
%configure2_5x
%make

%install
rm -rf %{buildroot}

%makeinstall_std

# menu
mkdir -p %{buildroot}%{_datadir}/applications
install -m 0644 %SOURCE2 $RPM_BUILD_ROOT%{_datadir}/applications/love.desktop
desktop-file-install --vendor="" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# icon
mkdir -p %{buildroot}%{_iconsdir}/
install -m 0644 %SOURCE3 $RPM_BUILD_ROOT%{_iconsdir}/love-game-icon.svg

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%files
%defattr(-, root, root)
%{_bindir}/*
%{_datadir}/applications/love.desktop
%{_iconsdir}/love-game-icon.svg

%changelog
* Mon Sep 15 2014 ghostbunny <ghostbunny at gmx dot de> 0.8.0-2pclos2014
- add missing BR desktop-file-utils
- add patch0 to build against the current library situation
- rebuild for 64bit (missing before)

* Wed Mar 07 2012 Neal <nealbrks0 at gmail dot com> 0.8.0-1pclos2012
- convert source to xz archive
- process

* Tue Mar 06 2012 maik3531 <maik3531 at yahoo.de> 0.8.0-1pclos2012
- 0.8.0

* Tue Oct 05 2011 Archie <pclinuxos.ph at gmail.com> 0.7.2-3pclos2011
- Rebuild for x86_64

* Sat Jun 04 2011 Texstar <texstar at gmail.com> 0.7.2-2pclos2011
- add BR libvorbis0-devel

* Tue May 31 2011 Ertain <sirius-c at iname.com> 0.7.2-1pclos2010
- 0.7.2

* Sat Mar 19 2011 Ertain <sirius-c at iname.com> 0.7.1-2pclos2010
- Changed the "configure" command.
- Updated *.desktop file.

* Sat Feb 19 2011 Ertain <sirius-c at iname.com> 0.7.1-1pclos2010
- 0.7.1

* Tue Dec 07 2010 Ertain <Sirius-c at iname.com> 0.7-1pclos2010
- 0.7.0

* Thu Nov 11 2010 Texstar <texstar at gmail.com> 0.6.2-5pclos2010
- convert source to TAR.XZ

* Thu Oct 12 2010 Ertain <sirius-c at iname.com> 0.6.2-4pclos2010
- Updated the icon file.

* Mon Aug 30 2010 Ertain <Sirius-C at iname.com> 0.6.2-3pclos2010
- Added *.desktop file and icon file.

* Wed May 19 2010 Texstar <texstar at gmail.com> 0.6.2-2pclos2010
- rebuild against openal
- add BR libdevil-devel

* Mon Mar 29 2010 Ertain <Sirius-c at iname.com> 0.6.2-1pclos2010
- Created the first package for Love.
- The name of the source directory had to be changed.
